
Redmine - Feature #33832

Move the "Private" badge next to the "Open/Closed" badge

2020-08-10 07:50 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

Currently, "Private" badge (#7414) and "Open/Closed" badge (#33254) are displayed in different places.

But I think they should be displayed in the same area because both badges indicate the attribute of the issue.

 

Related issues:

Related to Redmine - Feature #33254: Show open/closed badge on issue page Closed

Associated revisions

Revision 20334 - 2020-11-11 08:39 - Go MAEDA

Move the "Private" badge next to the "Open/Closed" badge (#33832).

Patch by Go MAEDA.

History

#1 - 2020-09-06 08:38 - Go MAEDA

- File Screenshot_2020-09-06.png added

- File 33832.patch added

Here is a patch that changes the position of the badge.

 Screenshot_2020-09-06.png 

#2 - 2020-09-12 10:18 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2020-09-29 09:55 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#4 - 2020-10-18 03:14 - Go MAEDA

- Related to Feature #33254: Show open/closed badge on issue page added

#5 - 2020-10-20 02:02 - Go MAEDA
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.

#6 - 2020-10-20 02:06 - Go MAEDA

- Status changed from Closed to New

- Assignee deleted (Go MAEDA)

- Resolution deleted (Fixed)

Go MAEDA wrote:

Committed the patch. Thank you.

 Sorry, I mishandled it with another ticket.

#7 - 2020-10-20 02:29 - Go MAEDA

- Target version changed from 4.2.0 to Candidate for next major release

There has been no test code for the private badge. I think some tests should be added.

#8 - 2020-11-08 07:29 - Go MAEDA

- File 33832-v2.patch added

- Target version changed from Candidate for next major release to 4.2.0

Go MAEDA wrote:

There has been no test code for the private badge. I think some tests should be added.

 Added test code.

#9 - 2020-11-11 08:40 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Commited the patch.

Files

move-private-badge.png 59.5 KB 2020-08-10 Go MAEDA

Screenshot_2020-09-06.png 28.8 KB 2020-09-06 Go MAEDA

33832.patch 1.42 KB 2020-09-06 Go MAEDA

33832-v2.patch 2.09 KB 2020-11-08 Go MAEDA
